# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1146  -> 1.1147 
#	include/asm-i386/acpi.h	1.8     -> 1.9    
#	include/asm-x86_64/acpi.h	1.2     -> 1.3    
#	arch/x86_64/kernel/setup.c	1.7     -> 1.8    
#	include/acpi/acpi_bus.h	1.6     -> 1.7    
#	arch/i386/kernel/acpi.c	1.17    -> 1.18   
#	arch/x86_64/kernel/acpi.c	1.5     -> 1.6    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/11/18	len.brown@intel.com	1.1147
# [ACPI] fix x86_64 build errors
# --------------------------------------------
#
diff -Nru a/arch/i386/kernel/acpi.c b/arch/i386/kernel/acpi.c
--- a/arch/i386/kernel/acpi.c	Tue Nov 18 09:06:14 2003
+++ b/arch/i386/kernel/acpi.c	Tue Nov 18 09:06:14 2003
@@ -489,7 +489,7 @@
  * ECLR2 is IRQ's 8-15 (IRQ 8, 13 must be 0)
  */
 
-static __initdata	acpi_pic_sci_trigger;	/* 0: level, 1: edge */
+static __initdata int	acpi_pic_sci_trigger;	/* 0: level, 1: edge */
 
 void __init
 acpi_pic_sci_set_trigger(unsigned int irq)
diff -Nru a/arch/x86_64/kernel/acpi.c b/arch/x86_64/kernel/acpi.c
--- a/arch/x86_64/kernel/acpi.c	Tue Nov 18 09:06:14 2003
+++ b/arch/x86_64/kernel/acpi.c	Tue Nov 18 09:06:14 2003
@@ -54,6 +54,7 @@
 
 #ifdef CONFIG_ACPI_BOOT
 
+extern int acpi_irq;
 enum acpi_irq_model_id		acpi_irq_model;
 
 
@@ -307,7 +308,7 @@
  * ECLR2 is IRQ's 8-15 (IRQ 8, 13 must be 0)
  */
 
-static __initdata	acpi_pic_sci_trigger;	/* 0: level, 1: edge */
+static __initdata int	acpi_pic_sci_trigger;	/* 0: level, 1: edge */
 
 void __init
 acpi_pic_sci_set_trigger(unsigned int irq)
diff -Nru a/arch/x86_64/kernel/setup.c b/arch/x86_64/kernel/setup.c
--- a/arch/x86_64/kernel/setup.c	Tue Nov 18 09:06:14 2003
+++ b/arch/x86_64/kernel/setup.c	Tue Nov 18 09:06:14 2003
@@ -50,7 +50,7 @@
 
 int acpi_disabled = 0;
 #ifdef	CONFIG_ACPI_BOOT
-int acpi_irq __initdata = 1	/* enable IRQ */
+int acpi_irq __initdata = 1;	/* enable IRQ */
 #endif
 
 
diff -Nru a/include/acpi/acpi_bus.h b/include/acpi/acpi_bus.h
--- a/include/acpi/acpi_bus.h	Tue Nov 18 09:06:14 2003
+++ b/include/acpi/acpi_bus.h	Tue Nov 18 09:06:14 2003
@@ -35,6 +35,7 @@
 
 #include <acpi/acpi.h>
 
+extern int			acpi_disabled;
 
 /* TBD: Make dynamic */
 #define ACPI_MAX_HANDLES	10
diff -Nru a/include/asm-i386/acpi.h b/include/asm-i386/acpi.h
--- a/include/asm-i386/acpi.h	Tue Nov 18 09:06:14 2003
+++ b/include/asm-i386/acpi.h	Tue Nov 18 09:06:14 2003
@@ -139,6 +139,13 @@
 
 #endif
 
+#ifdef CONFIG_ACPI_PCI
+extern int acpi_irq_balance_set(char *str);
+#else
+static inline int acpi_irq_balance_set(char *str)
+{ return 0; }
+#endif
+
 #ifdef CONFIG_ACPI_SLEEP
 
 extern unsigned long saved_eip;
diff -Nru a/include/asm-x86_64/acpi.h b/include/asm-x86_64/acpi.h
--- a/include/asm-x86_64/acpi.h	Tue Nov 18 09:06:14 2003
+++ b/include/asm-x86_64/acpi.h	Tue Nov 18 09:06:14 2003
@@ -137,6 +137,13 @@
 
 #endif
 
+#ifdef CONFIG_ACPI_PCI
+extern int acpi_irq_balance_set(char *str);
+#else
+static inline int acpi_irq_balance_set(char *str)
+{ return 0; }
+#endif
+
 #ifdef CONFIG_ACPI_SLEEP
 
 /* routines for saving/restoring kernel state */
